	program magics

	call popen

	call pset1c("output_formats", (/"png"/), 1)
	call psetc("output_name", "wind2")
	call psetc("output_name_first_page_number", "off")

	call psetr("subpage_lower_left_longitude", 100.00)
	call psetr("subpage_upper_right_longitude", 180.00)
	call psetr("subpage_upper_right_latitude", -5.00)
	call psetc("subpage_map_projection", "cylindrical")
	call psetr("subpage_lower_left_latitude", -55.00)

	call psetc("map_coastline_sea_shade", "on")
	call psetc("map_coastline_sea_shade_colour", "white")
	call psetc("map_label", "off")
	call psetc("map_coastline_land_shade_colour", "cream")
	call psetc("map_grid", "off")
	call psetc("map_coastline_colour", "tan")
	call psetc("map_coastline_land_shade", "on")
	call pcoast

	call psetc("grib_id", "t850")
	call psetc("grib_input_file_name", "./speed200.grb")
	call pgrib

	call psetc("contour_shade_method", "area_fill")
	call psetr("contour_hi_min_value", 15.00)
	call psetr("contour_reference_level", 0.00)
	call psetc("contour_hilo_format", "(F3.0)")
	call psetc("contour_label", "off")
	call psetr("contour_hilo_suppress_radius", 30.00)
	call psetc("legend", "on")
	call psetc("contour_shade_min_level_colour", "blue_green")
	call psetc("contour_level_selection_type", "level_list")
	call psetc("contour_shade", "on")
	call pset1r("contour_level_list", (/30.00, 40.00, 50.00, 60.00, 70.00, 80.00, 90.00, 100.00/), 8)
	call psetc("contour_hilo", "off")
	call psetr("contour_hilo_height", 0.20)
	call psetc("contour_highlight", "off")
	call psetc("contour_hilo_type", "number")
	call psetc("contour_shade_max_level_colour", "blue_purple")
	call pcont

	call psetc("grib_id", "uv200")
	call psetc("grib_input_file_name", "./uv200.grb")
	call pgrib

	call psetc("wind_flag_origin_marker", "circle")
	call psetr("wind_thinning_factor", 6.00)
	call psetr("wind_flag_min_speed", 20.00)
	call psetr("wind_flag_length", 0.80)
	call psetc("wind_field_type", "flags")
	call psetc("wind_flag_colour", "charcoal")
	call psetc("legend", "on")
	call pwind

	call psetc("map_label", "off")
	call psetc("map_grid_colour", "tan")
	call psetc("map_grid", "on")
	call psetc("map_coastline_colour", "tan")
	call pcoast

	call pset1c("text_lines", (/"<font size="1">Wind flags where speed is over 20 m/s</font>"/), 1)
	call psetr("text_font_size", 0.50)
	call psetc("text_justification", "left")
	call psetc("text_colour", "charcoal")
	call ptext

	call psetr("legend_box_x_position", 27.50)
	call psetc("legend_display_type", "continuous")
	call psetc("legend_box_blanking", "on")
	call psetr("legend_box_y_position", 4.00)
	call psetr("legend_box_x_length", 2.00)
	call psetc("legend_border", "off")
	call psetc("legend_title", "on")
	call psetc("legend_text_font_size", "0.5")
	call psetc("legend_border_colour", "charcoal")
	call psetc("legend_box_mode", "positional")
	call psetc("legend_text_colour", "charcoal")
	call psetr("legend_box_y_length", 12.00)
	call psetc("legend", "on")
	call psetc("legend_title_text", "Wind speed at 200 hPa")

	call pclose

	end
